<!-- zwTab  -->
<template>
  <van-tabs v-model="active" :title-active-color="m_color" :color="m_color" class="zwTab" @change="change">
    <van-tab v-for="(item ,index ) in List" :key="index" :title="item[lable]">
    </van-tab>
  </van-tabs>
</template>

<script>
export default {
  name: 'zwTab',
  props: {
    value: {
      type: [String, Number],
      required: true,
    },
    list: {
      type: Array,
      required: true,
      default() { return [] }
    },
    lable: {
      type: String,
      default: 'name'
    },
    valueKey: {
      type: String,
      default: 'id'
    },
    hasAll: {
      type: Boolean,
      default: true
    }

  },
  computed: {
    List() {
      if (this.hasAll) {
        let item = {
          [this.lable]: '全部',
          [this.valueKey]: ''
        }
        return [...[item, ...this.list]]
      } else {
        return this.list
      }

    },

    active: {
      get() {
        return this.findIndex()
      },
      set(v) {

       this.$emit('input',this.findValue(v))
      }
    }
  },
  data() {
    return {

    }
  },

  methods: {
    //初始化方法
    init() { },
    findIndex(v) {
      let index = this.List.findIndex(i => i[this.valueKey] == this.value)
      if (index == -1) {
        return 0
      }
      return index
    },

    findValue(v){
      let item =this.List[v]
      if(item){
          return item[this.valueKey]
      }
      return '' 
    },

    change(name,title){
        
    }
  },
}

</script>
<style lang='scss' scoped>
.zwTab {
  position: fixed;
  left: 0;
  width: 100%;
  z-index: 88；;
}
</style>